#!/bin/bash
cd /root
wget https://github.com/Rss-Bridge/rss-bridge/archive/master.zip
unzip master.zip
find rss-bridge-master/ -name "*.php" -exec sed -i "s/parse_ini_file(\([^,]*\),.*)/parse_ini_string(file_get_contents(\1), true, INI_SCANNER_TYPED)/g" {} +
lftp -c "set sftp:auto-confirm yes; open sftp://[REDACTED]; mirror -Rev rss-bridge-master/ [REMOTE]/ --only-newer --parallel=10 -X config.ini.php -X whitelist.txt -X cache/"
rm -r rss-bridge-master/ master.zip